Skip to main content
Resource Center/Network Service/Network Service Operations/IPsec Operations
POSTIPsec OperationsSince 2.3SynchronousAuth Required

AttachL3NetworksToIPsecConnection

AttachL3NetworksToIPsecConnection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • l3NetworkUuidsListRequired

      No description provided.

    • resourceUuidString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIPsecConnectionInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • peerAddressStringRequired

      The remote network address.

    • authModeStringRequired

      The authentication mode.

    • authKeyStringRequired

      The authentication key.

    • vipUuidStringRequired

      The VIP UUID.

    • ikeAuthAlgorithmStringRequired

      The IKE authentication algorithm.

    • ikeEncryptionAlgorithmStringRequired

      The IKE encryption algorithm.

    • ikeDhGroupIntegerRequired

      The IKE DH group.

    • policyAuthAlgorithmStringRequired

      The ESP authentication algorithm.

    • policyEncryptionAlgorithmStringRequired

      The ESP encryption algorithm.

    • pfsStringRequired

      The PFS DH group.

    • policyModeStringRequired

      The encryption mode.

    • transformProtocolStringRequired

      The security protocol.

    • ikeVersionStringRequired

      The IKE version.

    • idTypeStringRequired

      The ID configuration method.ID

    • localIdStringRequired

      The local ID.

    • remoteIdStringRequired

      The remote ID.

    • stateStringRequired

      The running state.

    • statusStringRequired

      The ready status.

    • ikeLifeTimeintRequired

      The IKE lifetime.

    • lifeTimeintRequired

      The IPsec lifetime.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • peerCidrsListRequired

      See peerCidrs.

      • uuidStringRequired

        The resource UUID.

      • cidrStringRequired

        No description provided.

      • connectionUuidStringRequired

        连接UUID。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • l3NetworkRefsListRequired

      See l3NetworkRefs.

      • uuidStringRequired

        The resource UUID.

      • connectionUuidStringRequired

        连接UUID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/ipsec/{uuid}/l3networks

/zstack/v1/ipsec/{uuid}/l3networks

Operation ID

AttachL3NetworksToIPsecConnection

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/ipsec/{uuid}/l3networks' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"l3NetworkUuids":["<l3NetworkUuids>"],"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "3293505dd7de3a2aacca821c4a9d8b5e", "name": "Test-IPSec", "peerAddress": "100.64.10.10", "authKey": "auth", "vipUuid": "58d827fb56cb3fc394c89429c28c29a4", "ikeLifeTime": 0.0, "lifeTime": 0.0, "peerCidrs": [ { "uuid": "185878e63f1c39c48de641f55f8a870b", "cidr": "192.168.100.0/24", "connectionUuid": "3293505dd7de3a2aacca821c4a9d8b5e", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "l3NetworkRefs": [ { "uuid": "a1e9c14d5d9736c0885b6cc67238873e", "connectionUuid": "3293505dd7de3a2aacca821c4a9d8b5e", "l3NetworkUuid": "43253fb59d8c36b49f684278747bf209", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }

Change History

This API has no change history records yet.

View all change history